<?php  
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT" );
header("Last-Modified: " . gmdate( "D, d M Y H:i:s" ) . "GMT" );
header("Cache-Control: no-cache, must-revalidate" );
header("Pragma: no-cache" );
header("Content-type: text/x-json");
include($_SERVER['DOCUMENT_ROOT'] .'/script/HeaderInc.php');
if('XMLHttpRequest' == $_SERVER['HTTP_X_REQUESTED_WITH']) {
  $ObjJqGridMod = new JqGridMod();
  $ObjJqGridMod->SetArrayIn($_GET);
  $VarWhere = '';
  if (true === isset($_GET['repairstatus_id']) && true === is_numeric($_GET['repairstatus_id'])){
    $VarWhere .= " AND a.repairstatus_id = '". $_GET['repairstatus_id'] ."'";
  }
  if (true === isset($_GET['svt_id']) && true === is_numeric($_GET['svt_id'])){
    $VarWhere .= " AND f.svt_id = '". $_GET['svt_id'] ."'";
  }
  if(true === isset($_GET['_search']) && 'true' == $_GET['_search']){
    if(true === isset($ObjJqGridMod->filters) && '' != $ObjJqGridMod->filters){
      $VarWhere .= ' AND '. $ObjJqGridMod->generateSearchStringFromFilter();
    }
    if(true === isset($ObjJqGridMod->searchField) && '' != $ObjJqGridMod->searchField){
      $VarWhere .= ' AND '. $ObjJqGridMod->generateSearchStringFromSearchField();
    }
  }
  $VarWhere = SiteLibs::StripAndOrFirst($VarWhere);
  $VarOrder = $ObjJqGridMod->GetOrder();
  $VarLimit = $ObjJqGridMod->GetLimit();
  $ObjRepairMod = new RepairMod($MS_SP);
  $count = $ObjRepairMod->GetFromDb('SqlCount', 'GetOne', $VarWhere);
  $total_pages = $ObjJqGridMod->GetTotalPages($count);
  $page = $ObjJqGridMod->GetPage();
  $ArrRepair = $ObjRepairMod->GetFromDb('SqlAll', 'GetAll', $VarWhere, $VarOrder, $VarLimit);
  //SiteLibs::GetVarDump($ArrRepair);
  $ArrFields = array();
  foreach ($ArrRepair AS $key => $row){
    $ArrFields[$key]['id'] = $row['repair_id'];
    $ArrFields[$key]['cell'][] = '<a class="ui-state-default" href="'. $MS_SP->Sp_PathTop .'/OpRepairDetail.php?repair_id='. $row['repair_id'] .'" target="_blank" title="Подробнее о ремонте '. $row['repair_id'] .'" target="_blank">'. $row['repair_id'] .'</a>';
    $ArrFields[$key]['cell'][] = '<a class="ui-state-default" href="'. $MS_SP->Sp_PathTop .'/OpDemandsDetail.php?demands_id='. $row['demands_id'] .'" target="_blank" title="Подробнее о заявке '. $row['demands_id'] .'" target="_blank">'. $row['demands_id'] .'</a>';
    $ArrFields[$key]['cell'][] = '<span style="background-color: '. $row['repairstatus_color'] .';">'. $row['repairstatus_name'] .'</span>';
    if(true === isset($row['svt_name'])){
      $ArrFields[$key]['cell'][] = '<a class="ui-state-default" href="'. $MS_SP->Sp_PathTop .'/SvtInformation.php?svt_id='. $row['svt_id'] .'" target="_blank" title="Подробнее о '. $row['svt_name'] .'">'. $row['svt_name'] .'</a>';
    }
    else{
      $ArrFields[$key]['cell'][] = '';
    }
    $ArrFields[$key]['cell'][] = '<a class="ui-state-default" href="'. $MS_SP->Sp_PathTop .'/SvtInformation.php?svt_id='. $row['svt_id'] .'" target="_blank" title="Подробнее о '. $row['svt_buxname'] .'">'. $row['svt_buxname'] .'</a>';
    $ArrFields[$key]['cell'][] = $row['svt_invnum'];
    $ArrFields[$key]['cell'][] = $row['svt_serialnum'];
    $ArrFields[$key]['cell'][] = $row['repair_content'];
    $ArrFields[$key]['cell'][] = $row['organiz_name'];
    $ArrFields[$key]['cell'][] = $row['repair_summa'];
    $ArrFields[$key]['cell'][] = $row['repair_numdoc'];
    $ArrFields[$key]['cell'][] = $row['repair_numdocdate'];
    $ArrFields[$key]['cell'][] = $row['users_fio'];
    $ArrFields[$key]['cell'][] = $row['repair_date_b'];
    $ArrFields[$key]['cell'][] = $row['repair_date_e'];
  }
  $json = array("page" => $page, "total" => $total_pages, "records" => $count,"rows" => $ArrFields);
  echo json_encode($json);
}
include($_SERVER['DOCUMENT_ROOT'] .'/script/FooterInc.php');
?>